Maemomm Reference Documentation: hildon-fmmm

Main Page Namespaces Book

# Enums and Flags

## Enumerations
enum | Hildon::FileSelectionMode { Hildon::FILE_SELECTION_MODE_LIST, Hildon::FILE_SELECTION_MODE_THUMBNAILS }
enum | Hildon::FileSelectionPane { Hildon::FILE_SELECTION_PANE_NAVIGATION, Hildon::FILE_SELECTION_PANE_CONTENT }
enum | Hildon::FileSelectionSortKey { Hildon::FILE_SELECTION_SORT_NAME, Hildon::FILE_SELECTION_SORT_TYPE, Hildon::FILE_SELECTION_SORT_MODIFIED, Hildon::FILE_SELECTION_SORT_SIZE }

## Enumeration Type Documentation

enum Hildon::FileSelectionMode

Enumerator:

  FILE_SELECTION_MODE_LIST |
  FILE_SELECTION_MODE_THUMBNAILS |

enum Hildon::FileSelectionPane

Enumerator:

  FILE_SELECTION_PANE_NAVIGATION |
  FILE_SELECTION_PANE_CONTENT |

enum Hildon::FileSelectionSortKey

Enumerator:

  FILE_SELECTION_SORT_NAME |
  FILE_SELECTION_SORT_TYPE |
  FILE_SELECTION_SORT_MODIFIED |
  FILE_SELECTION_SORT_SIZE |